commit e25bed1d7883761bbf01e0b472fcfe3ed673685c
Author: Michal Horký <horkmi@students.zcu.cz>
Date:   Fri May 8 18:35:29 2020 +0000

    Update README.md

diff --git a/README.md b/README.md
index 7595ace..c18d592 100644
--- a/README.md
+++ b/README.md
@@ -11,12 +11,12 @@ Vše podstatné se dočtete v dokumentech ve složce [doc](https://gitlab.kiv.zc
     *  **[demo_jh](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/demos/demo_jh/Deserializer_tests)** - návrh s použitím knihovny jdeserialize.
     *  **[demo_mh](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/demos/demo_mh)** - tvorba vlastního univerzálního deserializéru - funkční pouze pro velmi jednoduché struktury serializovaných tříd.
 * **[doc](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/doc)**<br />
-    Veškeré důležité dokumenty z průběhu celého projektu. *[Vize](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/blob/master/doc/Vize.pdf)*, *[Architektura](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/blob/master/doc/Architektura.pdf)*, *[DSP](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/blob/master/doc/Specifikace%20po%C5%BEadavk%C5%AF.pdf)*, *[dokumentace](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/blob/master/doc/dokumentace.pdf)* a *[JavaDoc](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/doc/javadoc)*. Navíc přidán soubor *[comparison_jackson.json](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/blob/master/doc/comparison_jackson.json)*, ve kterém je srovnání výstupů z knihovny Jackson JSON a toho projektu.
+    Veškeré důležité dokumenty z průběhu celého projektu. *[Vize](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/blob/master/doc/Vize.pdf)*, *[Architektura](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/blob/master/doc/Architektura.pdf)*, *[DSP](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/blob/master/doc/Specifikace%20po%C5%BEadavk%C5%AF.pdf)*, *[dokumentace](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/blob/master/doc/dokumentace.pdf)* a **[JavaDoc](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/doc/javadoc)**. Navíc přidán soubor *[comparison_jackson.json](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/blob/master/doc/comparison_jackson.json)*, ve kterém je srovnání výstupů z knihovny Jackson JSON a toho projektu.
 * **[project/Deserializer](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/project/Deserializer)**<br />
     Složka s výstupním projektem.
     * **[libs](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/project/Deserializer/libs)** - knihovny, včetně [licencí](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/project/Deserializer/libs/__licenses__), použité v projektu (JDBC pro jednotlivé databáze, plugin.jar pro práci s JS objekty - normálně v JRE/lib, Jackson JSON pro testování výstupů), navíc přidána knihovna JavaFX 11 kvůli možnému přechodu na aktuálně (květen 2020) poslední LTS verzi. V případě ACE knihovny jde o JavaScript používaný ve WebView => v resources.
     * **[resources](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/project/Deserializer/resources)** - ACE knihovna pro editor se zvýrazněnou syntaxí, dále obrázky a CSS použité v aplikaci.
-    * **[src](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/project/Deserializer/src)** - zdrojové soubory, viz [JavaDoc](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/doc/javadoc).
+    * **[src](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/project/Deserializer/src)** - zdrojové soubory, viz **[JavaDoc](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/doc/javadoc)**.
     * **[jar-in-jar-loader.zip](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/blob/master/project/Deserializer/jar-in-jar-loader.zip)** - archiv vkládající se do výsledného JAR souboru při automatickém překladu.
     * *[build.xml](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/blob/master/project/Deserializer/build.xml)* - sestavovací soubor pro automatický překlad přes Ant.
     * *[app.config](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/blob/master/project/Deserializer/app.config)* - konfigurační soubor aplikace vznikající (či upravovaný) při spouštění a používání aplikace.
@@ -25,6 +25,6 @@ Vše podstatné se dočtete v dokumentech ve složce [doc](https://gitlab.kiv.zc
     * *[uml.png](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/blob/master/project/Deserializer/uml.png)* - UML diagram tříd, obrázek z uml.ucls.
     * *[uml.ucls](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/blob/master/project/Deserializer/uml.ucls)* - automaticky generované UML díky [ObjectAid UML Explorer](https://www.objectaid.com/install-objectaid).
 * **[releases](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/releases)**<br />
-    Výstupní spustitelné soubory z jednotlivých iterací ([v0.1](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/releases/v0.1) - první návrhy pro výsledné řešení, [v0.2](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/releases/v0.2), [v0.3](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/releases/v0.3), [v0.4](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/releases/v0.4), [v1.0](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/releases/v1.0) - první oficiální release verze).
+    Výstupní spustitelné soubory z jednotlivých iterací (**[v0.1](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/releases/v0.1)** - první návrhy pro výsledné řešení, **[v0.2](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/releases/v0.2)**, **[v0.3](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/releases/v0.3)**, **[v0.4](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/releases/v0.4)**, **[v1.0](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/releases/v1.0)** - první oficiální release verze).
 * **[test_data](https://gitlab.kiv.zcu.cz/aswi/aswi-2020/aswi2020horky/tree/master/test_data)**<br />
     Testovací soubory poskytnuté zákazníkem.
\ No newline at end of file